MAKEKDEWIDGETS(1)

makekdewidgets

NOME
makekdewidgets - Cria 'plugins' de elementos gráficos do Qt(TM) a partir de um arquivo de descrição do estilo INI.

SINOPSE

makekdewidgets [opções do Qt(TM)] [opções do KDE] arquivo

DESCRIçãO

O makekdewidgets cria 'plugins' de elementos gráficos do Qt(TM) a partir de um arquivo de descrição do estilo INI.

OPçõES

Argumentos:

arquivo
    Arquivo de entrada

Opções:

-o <arquivo>
    Arquivo de saída

-n <nome do 'plugin'>
    O nome da classe do 'plugin' a gerar [WidgetsPlugin]

-g <grupo>
    O nome do grupo padrão de elementos onde mostrar no desenhador [Custom]

-p <pasta de imagens>
    Incorporar as imagens de uma pasta de origem

Opções genéricas:

--help
    Mostra a ajuda sobre as opções.

--help-qt
    Mostra as opções específicas do Qt(TM)

--help-kde
    Mostra opções específicas do KDE.

--help-all
    Mostra todas as opções

--author
    Mostra informações sobre o autor

-v, --version
    Mostra informações sobre a versão

--license
    Mostra informações sobre a licença

Opções do KDE:

--caption <título>
    utiliza o 'caption' como nome na barra de título

--icon <ícone>
    Usar 'ícone' como ícone do aplicativo

--miniicon <ícone>
    Usar 'ícone' como ícone do aplicativo

--config <arquivo>
    Usar o arquivo de configuração alternativo

--dcopserver <servidor>
    Usar o servidor de DCOP indicado pelo 'servidor'

--nocrashhandler
    Desativar o tratamento de estouros para obter os arquivos 'core'

--waitforwm
    Aguarda por um gerenciador de janelas compatível com WM_NET

--style <estilo>
    Configura o estilo da GUI do aplicativo

--geometry <geometria>
    Define a geometria do cliente da janela principal - veja o 'man X' para obter o formato dos argumentos

Opções do Qt(TM):

--display <nome-tela>
    Utilizar a tela do servidor de X 'nome-tela'

--session <id-sessão>
    Restaurar o aplicativo para a 'ID de sessão' fornecida

--cmap
    Faz com que o aplicativo instale um mapa de cores privado em uma tela de 8 bits

--ncols <quantidade>
    Limita o número de cores reservadas no cubo de cores para uma tela de 8 bits, se o aplicativo estiver usando a especificações de cores QApplication::ManyColor

--nograb
    Diz ao Qt(TM) para nunca capturar o mouse ou o teclado

--sync
    Muda para o modo síncrono, para fins de depuração

--fn, --font <nome-fonte>
    Define a fonte do aplicativo

--bg, --background <cor>
    Define a cor de fundo padrão, bem como uma paleta do aplicativo (os tons claros e escuros são calculados)

--fg, --foreground <cor>
    Altera a cor padrão do texto

--btn, --button <cor>
    Configura a cor de botão padrão

--name <nome>
    Configura o nome do aplicativo

--title <título>
    Define o título (legenda) do aplicativo

--visual TrueColor
    Obriga o aplicativo a usar um visual TrueColor em uma tela de 8 bits

--inputstyle <estilo-entrada>
    Define o estilo de inserção de dados do XIM (X Input Method). Os valores possíveis são 'onthespot', 'overthespot', 'offthespot' e 'root'

--im <servidor de XIM>
    Define o servidor de XIM

--noxim
    Desativa o XIM

--reverse
    Inverte por completo a disposição dos widgets

VEJA TAMBéM

http://developer.kde.org
    Página do Canto do Programador do KDE

PROBLEMAS

Use por favor o bugs.kde.org[1] para reportar erros; não os envie diretamente para os autores por e-mail.

AUTOR

Ian Reinhart Geiser <geiseri@kde.org>
    Autor.

NOTAS

1.  bugs.kde.org
    http://bugs.kde.org